GDB (xrefs)

Public Attributes | List of all members
gdb_rl_completion_word_info Struct Reference

## Public Attributes
const char * | word_break_characters
const char * | quote_characters
const char * | basic_quote_characters

## Detailed Description

Definition at line 223 of file completer.c.

## Member Data Documentation

## ◆ basic_quote_characters

const char* gdb_rl_completion_word_info::basic_quote_characters

Definition at line 227 of file completer.c.

Referenced by advance_to_expression_complete_word_point(), completion_find_completion_word(), and gdb_rl_find_completion_word().

## ◆ quote_characters

const char* gdb_rl_completion_word_info::quote_characters

Definition at line 226 of file completer.c.

Referenced by advance_to_expression_complete_word_point(), completion_find_completion_word(), and gdb_rl_find_completion_word().

## ◆ word_break_characters

const char* gdb_rl_completion_word_info::word_break_characters

Definition at line 225 of file completer.c.

Referenced by advance_to_expression_complete_word_point(), completion_find_completion_word(), and gdb_rl_find_completion_word().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/completer.c